Skip to main content
GET
Check a checkout session

Authorizations

Authorization
string
header
required

Your API key: sk_live_… / sk_test_… (secret), pk_live_… / pk_test_… (publishable, read-only reference data) or rk_live_… / rk_test_… (payments only).

Path Parameters

id
string<uuid>
required

The session's id.

Example:

"3c0f6f4e-7a1b-4c59-9a3e-0d5b7f2c8e11"

Response

The session.

id
string<uuid>
object
string
Example:

"checkout.session"

url
string | null

The payment page. null once the session can no longer be paid.

status
enum<string>
Available options:
open,
processing,
complete,
expired,
cancelled
livemode
boolean
amount
number
currency
string
Example:

"MWK"

reference
string
description
string | null
customer
object
line_items
object[]
metadata
object | null
sub_merchant_account_code
string | null
return_url
string
cancel_url
string
payment
object | null

The payment that completed the session. null until it is paid.

created_at
string<date-time>
expires_at
string<date-time>
completed_at
string<date-time> | null